Public Webhooks
List webhooks
Authorization
apiKey x-api-key<token>
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/public/v1/webhooks"{
"webhooks": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "string",
"events": [
"string"
],
"isActive": true,
"createdAt": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Register a webhook
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/public/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "generation.completed" ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "string",
"events": [
"string"
],
"isActive": true,
"createdAt": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Delete a webhook
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
webhookId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://loading/api/public/v1/webhooks/string"Empty
{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}